Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class AssetResourceLocatorImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.AssetResourceLocatorImpl

All Implemented Interfaces:
  AssetResourceLocator

    public class AssetResourceLocatorImpl

extends java.lang.Object
implements AssetResourceLocator

Constructor Summary
`AssetResourceLocatorImpl(ResourceDigestManager digestManager, Response response, AssetSource assetSource)`

Method Summary
`Resource` | `findClasspathResourceForPath(java.lang.String path)` For a complete classpath path, returns the Resource for the path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssetResourceLocatorImpl

    public AssetResourceLocatorImpl(ResourceDigestManager digestManager,
                                    Response response,
                                    AssetSource assetSource)

Method Detail

### findClasspathResourceForPath

    public Resource findClasspathResourceForPath(java.lang.String path)
                                          throws java.io.IOException

  Description copied from interface: `AssetResourceLocator`
  For a complete classpath path, returns the Resource for the path. This include checking for a digest for protected files.

  Specified by:
    `findClasspathResourceForPath` in interface `AssetResourceLocator`
  Returns:
    resource corresponding to path (may be for a non-existent resource), or null if path is invalid (i.e., incorrect digest)
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.